
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>运维自动化部署Cobbler的安装过程 / iVAN</title>

    <meta name="description" content="运维自动化部署Cobbler的安装过程   一.概述 服务最好安装在 Centos下,它需要Python支持. Cobbler服务是一个容器,它整合了以下几个开源软件: 1 Dhcp 2 Dns (可选bind,dnsmasq) 3 Kickstart/PXE 4 Apache(提供kickstart 的安装源,并提供定制化的kickstart配置) 5 Tftp (PXE启动时需要) 同时,它和apache做了深度整合.通过 cobbler,可以实现对RedHat/Centos/Fedora系统的快速部署,同时也支持Suse 和De">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">运维自动化部署Cobbler的安装过程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　一、概述</p>
<p>　　服务最好安装在 Centos下，它需要Python支持。</p>
<p>　　Cobbler服务是一个容器，它整合了以下几个开源软件:</p>
<p>　　1 Dhcp</p>
<p>　　2 Dns (可选bind,dnsmasq)</p>
<p>　　3 Kickstart/PXE</p>
<p>　　4 Apache(提供kickstart 的安装源，并提供定制化的kickstart配置)</p>
<p>　　5 Tftp (PXE启动时需要)</p>
<p>　　同时，它和apache做了深度整合。通过 cobbler，可以实现对RedHat/Centos/Fedora系统的快速部署，同时也支持Suse  和Debian(Ubuntu)系统。</p>
<p>　　综上所述，一个理想的安装环境是：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNDYxMjFhYjVkZGQ4OWEyNWZkMWRmOTY2YWY4Mzc3OTguanBn.jpg"><br />　　相关配置参数：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vY2M2ZDk4NzE0MGMwODdjMWJhOTMyZDI4ZGE3Zjg5MGIuanBn.jpg"><br />　　官方文档 : https://github.com/cobbler/cobbler/wiki/</p>
<p>　　二、 安装</p>
<p>　　1) 定义 Yum源</p>
<p>　　可根据自己所在地选择离自己近的镜像源，比如mirrors.163.com或mirrors.sohu.com</p>
<p>　　相关配置文件: /etc/yum.repos.d/CentOS-Base.repo</p>
<p>　　2) 安装 epel源</p>
<p>　　Centos5 32位: rpm -Uvh  http://mirrors.ustc.edu.cn/fedora/epel/5/i386/epel-release-5-4.noarch.rpm</p>
<p>　　Centos5 64位: rpm -Uvh  http://mirrors.ustc.edu.cn/fedora/epel/5/x86_64/epel-release-5-4.noarch.rpm</p>
<p>　　Centos6 32位: rpm -Uvh  'http://mirrors.ustc.edu.cn/fedora/epel/6/i386/epel-release-6-7.noarch.rpm'</p>
<p>　　Centos6 64位: rpm -Uvh  'http://mirrors.ustc.edu.cn/fedora/epel/6/x86_64/epel-release-6-7.noarch.rpm'</p>
<p>　　确定是否正确安装 :</p>
<p>　　yum list|grep -E "^epel"</p>
<p>　　epel-release.noarch 5-4 installed</p>
<p>　　也可以用这个命令: rpm -qa |grep -i epel</p>
<p>　　3) 安装cobbler服务</p>
<p>　　A) yum -y install cobbler</p>
<p>　　确认是否正确安装 :</p>
<p>　　rpm -qa |grep -i cobbler</p>
<p>　　B) 安装其它需要的服务</p>
<p>　　yum -y install cman tftp-server dhcp cobbler cobbler-web bind pykickstart  rsync</p>
<p>　　根据需要来，比如 我的测试环境不需要bind，就没有安装</p>
<p>　　需要确认 mod_wsgi已经正确安装，否则需要手动安装</p>
<p>　　yum -y install mod_wsgi</p>
<p>　　确认apache配置已经 加载wsgi_module: /etc/httpd/conf.d/wsgi.conf</p>
<p>　　4) 安装debmirror</p>
<p>　　debmirror 可以用来下载 ubuntu 12.04的镜像源 来做本地源.</p>
<p>　　目前debmirrors, 只能使用rpm包安装, 先装依赖包</p>
<p>　　yum -y install ed patch perl perl-Compress-Zlib perl-Cwd perl-Digest-MD5  perl-Digest-SHA1 perl-LockFile-Simple perl-libwww-perl</p>
<p>　　安装debmirrors :</p>
<p>　　rpm -Uvh  'http://mirrors.ustc.edu.cn/fedora/epel/5Server/x86_64/debmirror-20090807-1.el5.noarch.rpm'</p>
<p>　　5) 关闭selinux 和防火墙</p>
<p>　　sed -i '/^SELINUX=/ s/^SELINUX=.*/SELINUX=disabled/g'  /etc/selinux/config</p>
<p>　　setenforce 0</p>
<p>　　//为调试方便，暂时关闭防火墙</p>
<p>　　service iptables stop</p>
<p>　　6) 启动Cobbler服务</p>
<p>　　/etc/init.d/cobblerd start</p>
<p>　　7) 可能会缺少的包:</p>
<p>　　请注意察看 cobbler服务启动的报错信息，我第一次安装时候就遇到有关 ctypes的报错，只能手动安装：</p>
<p>　　yum -y install python-ctypes</p>
<p>　　8) Cobbler相关配置</p>
<p>　　根据需要修改 cobbler主配置文件: /etc/cobbler/settings</p>
<p>　　//cobbler监听IP是 192.168.100.1</p>
<p>　　sed -i 's/server: 127.0.0.1/server: 192.168.100.1/g'  /etc/cobbler/settings</p>
<p>　　//pxe安装 只允许一次，防止误操作 ( 在正式环境有用。实际测试来看，这个功能可以屏蔽掉 )</p>
<p>　　sed -i 's/pxe_just_once: 0/pxe_just_once: 1/g' /etc/cobbler/settings</p>
<p>　　//dhcp 服务的IP地址，PXE过程中 会用到</p>
<p>　　sed -i 's/next_server: 127.0.0.1/next_server: 192.168. 100.1 /g'  /etc/cobbler/settings</p>
<p>　　//支持 对的dhcp管理，在做自定义配置时，需要修改dhcp相关配置，以配合PXE启动用</p>
<p>　　sed -i 's/manage_dhcp: 0/manage_dhcp: 1/g' /etc/cobbler/settings</p>
<p>　　9) 进行cobbler系统检查</p>
<p>　　cobbler check</p>
<p>　　可自动 检查安装环境是否满足cobbler服务的需要</p>
<p>　　出现如下结果提示：</p>
<p>　　The following are potential configuration items that you may want to  fix:</p>
<p>　　1 : some network boot-loaders are missing from /var/lib/cobbler/loaders,  you may run 'cobbler get-loaders' to download them, or, if you only want to  handle x86/x86_64 netbooting, you may ensure that you have installed a *recent*  version of the syslinux package installed and can ignore this message entirely.  Files in this directory, should you want to support all architectures, should  include pxelinux.0, menu.c32, elilo.efi, and yaboot. The 'cobbler get-loaders'  command is the easiest way to resolve these requirements.</p>
<p>　　//解决办法 : 执行 cobbler get-loaders</p>
<p>　　2 : since iptables may be running, ensure 69, 80/443, and 25151 are  unblocked</p>
<p>　　//解决办法 : iptables 保证对 69 80 443 25151 端口的  数据没有限制，如果仅仅只是在内部环境中使用，建议直接将防火墙关掉</p>
<p>　　3 : debmirror package is not installed, it will be required to manage  debian deployments and repositories</p>
<p>　　//解决办法 : debian  安装用，暂时可以不管;如果需要安装，下载地址为：http://rpmfind.net/linux/rpm2html/search.php?query=debmirror</p>
<p>　　4 : The default password used by the sample templates for newly installed  machines (default_password_crypted in /etc/cobbler/settings) is still set to  'cobbler' and should be changed, try: "openssl passwd -1 -salt  'random-phrase-here' 'your-password-here'" to generate new one</p>
<p>　　//解决办法 : 默认加密的密码，可以修改</p>
<p>　　5 : fencing tools were not found, and are required to use the (optional)  power management features. install cman or fence-agents to use them</p>
<p>　　//解决办法 : 关于电源管理(跟DELl 远程控制协议类似东西?)，也暂时不管。</p>
<p>　　10)重启 cobbler，并更新相关配置</p>
<p>　　//重启服务</p>
<p>　　/etc/init.d/cobblerd restart</p>
<p>　　//同步最新cobbler配置，它会根据配置自动修改dhcp，bind 等服务，因此我称之为容器的原因。</p>
<p>　　cobbler sync</p>
<p>　　注：在 对cobbler进行研究的整个过程中，得到了前辈陈沙克老师( www.chenshake.com )  的大力支持和解惑，在编写此文时，也借鉴了部分沙克老师的文章，特此感谢。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 20:55:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/install/" title="install">install</a>, <a href="https://www.iamivan.net/tag/centos6/" title="centos6">centos6</a>, <a href="https://www.iamivan.net/tag/rpm/" title="rpm">rpm</a>, <a href="https://www.iamivan.net/tag/settings/" title="settings">settings</a>, <a href="https://www.iamivan.net/tag/dnsmasq/" title="dnsmasq">dnsmasq</a>, <a href="https://www.iamivan.net/tag/centos6-5-64%e4%bd%8d/" title="centos6 5 64位">centos6 5 64位</a>, <a href="https://www.iamivan.net/tag/cobbler/" title="Cobbler">Cobbler</a>, <a href="https://www.iamivan.net/tag/centos5-1/" title="centos5 1">centos5 1</a>, <a href="https://www.iamivan.net/tag/centos5/" title="centos5">centos5</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>运维自动化部署Cobbler的安装过程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVqwmb.html" rel="bookmark">运维自动化之使用Cobbler自动化部署Linux操作系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1672569 1.Cobbler是什么? Cobbler是一个Linux安装服务器,能够快速设置好网络安装环境.它实现了许多与Linux相关的任务的自动化和组合,因此你在部署新的(操作)系统或更改已经存在的操作系统时不需要在繁多的命令和应用程序之间来回切换.Cobbler能帮助(用户.管理者)置备和管理DNS.DHC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8ZD3b.html" rel="bookmark">高效运维：运维自动化之殇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 这些年来,大家都在谈运维自动化.但是否也会困惑于&quot;只见树木.不见森林&quot;?或者说,做了几年的运维自动化,但依然不能确定还有哪些工作没做?还有,怎样更优雅的实施运维自动化? 另外,运维自动化是万能的么?有哪些潜在问题?想了解大故障的独家剖析?且听本文分解~ 本文实际上包括两部分,关于运维自动化的一些观点(前3部分)和运维自动化的痛点(第4部分).如果已是运维自动化的专业人士,可以跳过前面内容,直接鉴赏第4部分--运维自动化之殇. 依惯例放上目录,请享用: 1. 什么是运维自动化? 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR7dQGp.html" rel="bookmark">中国电信基于Mesos&plus;Docker的运维自动化在CDN中的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是中国电信基于Mesos+Docker的运维自动化在CDN中的实践[编者的话]本次分享将讲解容器技术在CDN系统中的应用,包括应用的容器化,使用Mesos.Marathon.ZooKeeper对线上业务的快速部署.升级.回滚以及Docker在研发测试环境中的实践.在引入Docker技术之后,CDN不同角色的服务部署在一个物理服务器,资源利用率明显提高,另外应用都可以一键部署,运维工作量明显减少. 大家好,我是中国电信云公司CDN运营中心的张其栋,今天跟大家分享的题目是&lt;中国电信基于Mes			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVX3nz.html" rel="bookmark">集群运维自动化工具ansible之使用playbook安装zabbix客户端&lowbar;服务器其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前介绍了关于ansible的安装与使用(包括模块与playbook使用,地址是http://www.jb51.net/article/52154.htm),今天介绍一下如何使用playbook来部署zabbix客户端. ansible服务端的环境为centos 6.5 x86_64系统 ansible客户端环境为centos 6.3 x86_64系统 目前我的playbook只允许centos或redhat 6系列系统来安装zabbix客户端,并且客户端的版本是2.0.6. 下面是playbo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QGKAM.html" rel="bookmark">集群运维自动化工具ansible使用playbook安装mysql&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上次介绍了如何使用ansible playbook安装zabbix客户端(http://www.jb51.net/article/52158.htm),这次介绍一下如何使用playbook安装mysql. 下面是安装mysql的信息: mysql_basedir: /data/mysql/basedir 源码目录 mysql_datadir: /data/mysql/datadir 数据目录 mysql_user: mysql mysql用户 mysql_database_user: root			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8n9rp.html" rel="bookmark">优云&CenterDot;小课堂 第八期&colon;运维自动化的魅力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本期主题:如何通过自动化运维平台来缩短软件部署和应用发布时间,减少运维过程中的人工操作从而提高企业应用的可靠性和质量,降低IT运维成本. 嘉宾:柯连春 嘉宾介绍:优云资深技术研发 直播时间:2017年8月24日(周4,晚19:30) 直播地址:https://m.qlchat.com/live/320000072565279.htm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M124q9p.html" rel="bookmark">运维小知识---CentOS6&period;5安装Nexus</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  运维入门---CentOS6.5安装Nexus           背景         同上一篇博文           安装          1.解压nexus-2.11.1-01-bundle.tar.gz文件:  cd /usr/local/software --进入软件包所在目录 tar zxvf nexus-2.11.1-01-bundle.tar.gz -- 解压文件           2.移动目录 #mv nexus-2.11.1-01 /usr/local/nexus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQ4KDp.html" rel="bookmark">运维小知识---CentOS6&period;5安装Jenkins</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  运维入门---centOS6.5安装Jenkins            一.背景            当然是项目需要,将之前在公司内部使用的环境在云服务器上也搭建起来,公司继续集成使用的是Jenkins,下面就是安装Jenkins的方法.            二.先安装JAVA            安装jenkins之前先确保系统中已经安装JDK(本文不再介绍JDK的安装),使用命令 java –version            三.安装jenkins   sudo wget -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoyYmb.html" rel="bookmark">Redis开发与运维&period; 1&period;5　正确安装并启动Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 正确安装并启动Redis 通常来说,学习一门技术最好的方法就是实战,所以在学习Redis这样一个实战中产生的技术时,首先把它安装部署起来,值得庆幸的是,相比于很多软件和工具部署步骤繁杂,Redis的安装不得不说是非常简单,本节我们将学习如何安装Redis. 在写本书时,Redis 4.0已经发布RC版,但是大部分公司还都在使用3.0或更早的版本(2.6或2.8),本书所讲的内容基于Redis 3.0. 1.5.1 安装Redis 1.?在Linux上安装Redis Redis能够兼容绝大			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGAPnM.html" rel="bookmark" class="title">Win7无线网络连接受限的解决方法</a>
					<div>
						  日常计算机使用中,我们会经常遇到网络故障,而网络故障的特点是原因复杂而现象一致,所以解决起来很棘手.本文总结一些Win7/Win8.1下无线网络受限故障的解决思路,供大家一试: 思路一:检查网络及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd8ydp.html" rel="bookmark" class="title">photoshop 把自己弄到瓷砖里面去</a>
					<div>
						今天我们来做一个瓷砖效果的pp,有会做的大虾就不要看了啦, 不会做的菜菜鸟喜欢这个效果的就跟偶一起做吧~~ 偶今天可是拿自己开刀,大家一定要捧场的哦~~ 效果图:             					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzweEvM.html" rel="bookmark" class="title">小结SQL Server连接失败错误及解决</a>
					<div>
						server|错误|解决 在使用 SQL Server 的过程中,用户遇到的最多的问题莫过于连接失败了.一般而言,有以下两种连接 SQL Server 的方式,一是利用 SQL Server 自带的客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMloVqb.html" rel="bookmark" class="title">PHP教程&colon;php抓取https的内容</a>
					<div>
						直接用file_get_contents,会报错: 程序代码$url = (https://xxx.com&quot;);file_get_contents($url); 错误: 程序代码Warnin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNgkdp.html" rel="bookmark" class="title">亲密接触ASP&period;Net&lpar;13&rpar;</a>
					<div>
						asp.net 个性化的分页实现 我们前面讲的分页,只不过是通过修改DataGrid的属性来实现分页,这样有这样的好处,最大的就是简单,呵呵,根本不用操心,分页是如何产生的. 但是它同样有缺点,不能按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLkdkM.html" rel="bookmark" class="title">3ds Max材质初级教程：鲜翠欲滴树叶表现</a>
					<div>
						1制作露珠材质 1打开材质编辑器选一空白材质球将反光类型改为Phone(光滑)方式,其他参数如图 注 Index Of Refr(折射率)设置材质折射光线的强度.1.0时接近空气的折射率,1.33时代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKAjVp.html" rel="bookmark" class="title">一次性插入多个相同的图片&lpar;符号&rpar;</a>
					<div>
						我们在用Word编辑一些专业文档时,常常要在文档中插入一些相同的图片(符号),如果用&quot;插入→图片→来自文件&quot;命令来输入就太麻烦了.建议大家用&quot;替换&quot;功能吧: 先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6G71b.html" rel="bookmark" class="title">Photoshop调出人像肤色高亮妆面效果图</a>
					<div>
						原图: 步驟 第一次做這種厚粉白效果,也是看到美空現在流行,所以才試了一下,步驟還沒有化簡,大家將就看看 圖層1 是加對比 可以用色階 圖層2 加亮,可以用曲線 把陰影的地方不用加亮的地方塗回去,方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwoqmb.html" rel="bookmark" class="title">如何在PPT演示文稿中加入背景音乐？</a>
					<div>
						  随着PPT幻灯片一页一页的翻滚,再配上一段美妙的音乐,这样一来就可以让我们在演示或演讲时更容易吸引听众,讲课时听众也不会觉得枯燥乏味.那么我们如何才能在PowerPoint中插入背景音乐呢?就算插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjmZ5b.html" rel="bookmark" class="title">量产U盘失败的两个常见原因</a>
					<div>
						  很多朋友在用U盘启动时喜欢把U盘量产成CD-ROM格式,但在量产的过程中总会出现这样或那样的问题,现在就说说最容易犯的两个错误. 一.U盘芯片型号搞错. 二.计算机USB插口电流.电压不足.第一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrNgOM.html" rel="bookmark" class="title">蓝桥杯 算法问题 求解</a>
					<div>
						问题描述 蓝桥杯 算法问题 求解 问题描述 给定一条标有整点(1, 2, 3, ...)的射线. 定义两个点之间的距离为其下标之差的绝对值. Laharl, Etna, Flonne一开始在这条射线上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr6drM.html" rel="bookmark" class="title">老板，请尊重您的技术人员</a>
					<div>
						 尊敬的老板:        您好,此刻我在北京拥挤的公交车上给您写这封信,很荣幸能有这个机会.虽然我现在已经离开您的公司有将近半年的时间了,但是在贵公司工作的这段时间会是我以后长久的回忆.从大四开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrLjaM.html" rel="bookmark" class="title">CRM客户关系管理系统中的权限自定义</a>
					<div>
						     本文介绍八骏CRM客户关系管理系统中的权限分配问题,前文介绍了&lt;公海池回收制度的自定义&gt;,后期我们将会陆续介绍八骏CRM系统中更多的自定义功能.      首先管理员登入八骏CR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA1wZM.html" rel="bookmark" class="title">link中是如何实现分组联合体这种数据结构的？如何实现分组联合体的过滤？</a>
					<div>
						问题描述 link中是如何实现分组联合体这种数据结构的?如何实现分组联合体的过滤? link中是如何实现分组联合体这种数据结构的?如何实现分组联合体的过滤? 解决方案 这个对于不同的数据源各不相同,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWZNvp.html" rel="bookmark" class="title">软件开发，标准化流水线式开发的实施构想</a>
					<div>
						 软件开发,标准化流水线式开发的实施构想        近日看到一篇博文,讨论标准化流水线开发模式的话题,但是这篇博文仅仅提出这个问题,未见回应.        这其实是一个很大的问题,我从事软件开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDqZdz.html" rel="bookmark" class="title">分布-关于JSP分页的问题&comma;请大神帮忙&comma;在线等</a>
					<div>
						问题描述 关于JSP分页的问题,请大神帮忙,在线等 数据库里有13条记录,字段名为title. 部分代码如下: pageSize=4; //每页显示4条记录 int recordCount=rs.ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDZv3z.html" rel="bookmark" class="title">pl&sol;sql-用PL&sol;SQL生成二维码并以图片形式存入数据库表中</a>
					<div>
						问题描述 用PL/SQL生成二维码并以图片形式存入数据库表中 在数据库中创建一张表 -- Create table create table QRCode ( id varchar2(10), img ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40ryYz.html" rel="bookmark" class="title">全球不同厂商1250种型号的摄像头存在共同漏洞</a>
					<div>
						5月12日讯 Persirai控制众多存在安全缺陷之IP摄像头.一款名为Persirai的僵尸网络构建软件再次掀起波澜,其采用部分Mirai僵尸网络(去年十月披露)代码片段,已将高达15万可被Mira ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRQK9b.html" rel="bookmark" class="title">微信山寨公众账号真假难辨：25元即可开通</a>
					<div>
						庞大的用户群让微信公众平台强大的商业价值越来越被人们看好.但是近日记者调查发现,微信公众平台也存在不少的乱象,冒出不少的李鬼,打着官方账号的幌子招摇撞骗. 记者通过手机http://www.aliyu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgYXKM.html" rel="bookmark" class="title">Linux基金会迎来了JavaScript社区</a>
					<div>
						本周,Linux基金会迎来了新的JavaScript基金会(JS Foundation)的加入. 该新闻是由新的JavaScript基金会的执行董事Kris Borchers宣布的.他同时说明,JS基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLVGNM.html" rel="bookmark" class="title">FastDFS</a>
					<div>
						今天和一位开发的同事吃饭聊到fastdfs,有几个项目一直在用mongoDB做文件存储,但是可能太浪费空间了,可能更适合用FastDFS来替代. http://code.google.com/p/fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0lNGM.html" rel="bookmark" class="title">列宽-C&num; DataGridView ComboBox 高度设置问题</a>
					<div>
						问题描述 C# DataGridView ComboBox 高度设置问题 添加一个DataGridView控件:在Columns属性里面添加集合,加了一个DataGridViewComboBoxCol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJNPRp.html" rel="bookmark" class="title">猴子吃桃问题---C实现</a>
					<div>
						原题:猴子第一天摘下若干个桃子,当即吃了一半,还不过瘾,又多吃了了一个.第二天早上又将剩下的桃子吃掉一半,又多吃了一个.以后每一天早上都吃前一天剩下桃子的一半零一个.到第十天早上想再吃时,发现 只剩下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgAe9M.html" rel="bookmark" class="title">discuz首页模板修改保存不显示</a>
					<div>
						问题描述 discuz首页模板修改保存不显示 discuz 2.5首页模板修改保存后不显示,后台和浏览器更新缓存也没有用					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jxjdp.html" rel="bookmark" class="title">iOS、Mac OS X系统中编程实现汉字转拼音的方法（超级简单）&lowbar;IOS</a>
					<div>
						网络流行的汉字转拼音方案是带一个拼音码表,速度快.其实Core Foundation也提供了一种方案,而且还带声调! 复制代码 代码如下:         NSMutableString *ms =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYvvNb.html" rel="bookmark" class="title">jQuery实现手机自定义弹出输入框&lowbar;jquery</a>
					<div>
						手机涉及到填写表单时,需要手机弹出自定义的输入框,而非手机自带的输入键盘,如大写数字等. 实现思路(考虑多种文本输入形式): 首先,文本框获取焦点时禁止手机弹出自带的输入键盘. // 禁用手机自带的键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q19aM.html" rel="bookmark" class="title">Javascript 陷阱 window全局对象&lowbar;javascript技巧</a>
					<div>
						function Test(){ this.name='Test'; var name=2; this.show=function(){ alert(name); alert(this.name);/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8GOWp.html" rel="bookmark" class="title">Python抓取京东图书评论数据&lowbar;python</a>
					<div>
						 京东图书评论有非常丰富的信息,这里面就包含了购买日期.书名.作者.好评.中评.差评等等.以购买日期为例,使用Python + Mysql的搭配进行实现,程序不大,才100行.相关的解释我都在程序里加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2eX4z.html" rel="bookmark" class="title">JavaScript中遍历对象的property的3种方法介绍&lowbar;javascript技巧</a>
					<div>
						在JavaScript中,可以用三种方法来遍历对象的property: 1.for/in.可以使用for/in语句遍历对象自身的property(Own Property)及其从原型对象处继承的pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWYJ1M.html" rel="bookmark" class="title">使用Visual Studio宏来自动生成代码 &lbrack; Visual Studio &vert; 宏 &vert; 自动生成代码 &rsqb;</a>
					<div>
						前言       宏的定义:是组合到一起形成一个命令以自动完成某项任务的一系列命令和指令.(MSDN)       在使用Visual Studio宏实现JS折叠功能的时候就想过用它来实现代码自动生成 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
